Subject: bug#26310: 25.1; Emacsclient to emacs --daemon frame/connection error

From: uLive System User <[email-masked]>
Date: Fri, 14 Apr 2017 23:24:56 -0400

[email-masked] writes:

> Live System User <[email-masked]> writes:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   isearch-done(t)
>>   isearch-cancel()
>
> Ah, that one.  This should be fixed already in 25.2, since #21091
> "`isearch-done' called before `isearch-update' raises wrong-type-arg
> error" was fixed.

  I eval'ed your patched version of isearch.el into my Emacs daemon
  and "emacsclient <file>" started working again, so thank you for
  the fix.
  
>
> Do you happen to know how you got into this state though?  That
> isearch-cancel is being called at all might be a bug in itself, although
> I never found out how to reproduce it...

  I don't recall what I was doing specifically.  I keep a long-running
  Emacs daemon around and use emacsclient to connect to it regularly
  to edit files and update my Gnu ELPA packages.

 Thanks.